> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/payout/api-shuo-ming/fa-qi-payout-qing-qiu/ge-guo-jia-api-can-shu/mo-luo-ge.md).

# 摩洛哥

## <mark style="color:purple;">银行转账</mark>

* payout\_method.type = bank\_transfer
* payout\_method.payment\_method = bank\_transfer

<table><thead><tr><th width="243.63287353515625">payout_method_details 参数</th><th width="125">类型</th><th width="100">必填项</th><th>描述</th></tr></thead><tbody><tr><td>first_name</td><td>String</td><td>是</td><td>收款人的名字。最多 50 个字符</td></tr><tr><td>last_name</td><td>String</td><td>是</td><td>收款人的姓氏。最多 50 个字符</td></tr><tr><td>address</td><td>String</td><td>是</td><td>最多 200 个字符</td></tr><tr><td>account_number</td><td>String</td><td>是</td><td>RIB：24 位数字</td></tr></tbody></table>

## <mark style="color:purple;">摩洛哥银行账号验证</mark>

| 验证   | 类型  | 长度 | 类型      | 验证   |
| ---- | --- | -- | ------- | ---- |
| 银行账户 | RIB | 24 | numeric | 验证长度 |

## <mark style="color:purple;">银行转账Payload示例</mark>

{% tabs %}
{% tab title="请求示例" %}

```javascript
{
    "payout_method": {
        "type": "bank_transfer",
        "payment_method": "bank_transfer",
        "beneficiary": {
            "name": "John Doe",
            "payout_method_details": {
                "first_name": "John",
                "last_name": "Doe",
                "account_currency": "MAD",
                "account_name": "John Doe",
                "account_number": "123456789012345678901234",
                "account_type": "papara_mobile",
                "address": "Morocco Address",
                "email": "johndoe@gmail.com",
                "bank_code": "1",

            }
        }
    },
    "amount": {
        "value": "2000.00",
        "currency_code": "MAD"
    },
    "country_code": "MA",
    "purpose": "salaries",
    "reference": "Invoice #12345",
    "request_id": "unique_request_id",
    "due_date": "2022-06-27"
}
```

{% endtab %}

{% tab title="响应示例" %}

```javascript
{
    "purpose": "SALARIES",
    "reference": "Invoice #12345",
    "id": "902153e4-1b69-4da8-b49a-9057829f5c0f",
    "payout_method": {
        "type": "bank_transfer",
        "payment_method": "ma_bank_transfer",
        "beneficiary_details": {
            "name": "John Doe"
        }
    },
    "amount": {
        "value": 2000.00,
        "currency_code": "MAD"
    },
    "country_code": "MA",
    "request_id": "unique_request_id",
    "created_at": 1715064555
}
```

{% endtab %}
{% endtabs %}

## <mark style="color:purple;">摩洛哥银行代码</mark>

#### 以下是摩洛哥支持的银行代码（RIB 的第 1 至第 3 位，需在 account\_number 参数中发送）。

| 类型   | 银行名称                                             | 银行代码 |
| ---- | ------------------------------------------------ | ---- |
| 银行转账 | BANK AL-MAGHRIB                                  | 1    |
|      | ARAB BANK                                        | 2    |
|      | CAIXA                                            | 3    |
|      | UMB                                              | 5    |
|      | AWB                                              | 7    |
|      | BMCE                                             | 11   |
|      | BMCI                                             | 13   |
|      | EX-WAFA BANK                                     | 19   |
|      | CDM                                              | 21   |
|      | SGMB                                             | 22   |
|      | ABN AMRO                                         | 23   |
|      | BMAO                                             | 25   |
|      | UNIBAN                                           | 26   |
|      | CITI BANK                                        | 28   |
|      | SMDC                                             | 31   |
|      | BANK AL AMAL                                     | 45   |
|      | BCP SECURITIES SERVICES                          | 48   |
|      | CFM                                              | 50   |
|      | CDG CAPITAL                                      | 54   |
|      | CDG                                              | 60   |
|      | BANCO SABADELL                                   | 70   |
|      | BANQUE POPULAIRE CENTRE SUD                      | 101  |
|      | BANQUE POPULAIRE EL HOUCEIMA                     | 105  |
|      | BANQUE POPULAIRE BENI MELLAL                     | 109  |
|      | BANQUE POPULAIRE EL JADIDA SAFI                  | 117  |
|      | BANQUE POPULAIRE ERRACHIDIA                      | 121  |
|      | BANQUE POPULAIRE FES TAZA                        | 127  |
|      | BANQUE POPULAIRE JADIDA                          | 130  |
|      | BANQUE POPULAIRE GHARB                           | 133  |
|      | BANQUE POPULAIRE KHOURIBGA                       | 140  |
|      | BANQUE POPULAIRE LAAYOUNE                        | 143  |
|      | BANQUE POPULAIRE MARRAKESH BENI MELLAL           | 145  |
|      | BANQUE POPULAIRE MEKNES                          | 148  |
|      | BANQUE POPULAIRE NADOR EL HOCEIMA                | 150  |
|      | BANQUE POPULAIRE OUARZAZATE                      | 155  |
|      | BANQUE POPULAIRE OUJDA                           | 157  |
|      | BANQUE POPULAIRE SAFI                            | 159  |
|      | BANQUE POPULAIRE BERKANE                         | 163  |
|      | BANQUE POPULAIRE TANGER TETOUAN                  | 164  |
|      | BANQUE POPULAIRE TAZA                            | 169  |
|      | BANQUE POPULAIRE TETOUAN                         | 172  |
|      | BANQUE POPULAIRE TIZNIT                          | 175  |
|      | BANQUE POPULAIRE CASABLANCA                      | 178  |
|      | BANQUE POPULAIRE RABAT KENITRA                   | 181  |
|      | BCP                                              | 190  |
|      | BANQUE POPULAIRE CASA EST                        | 195  |
|      | BANQUE POPULAIRE CASA SUD                        | 197  |
|      | BNDE                                             | 205  |
|      | CAM                                              | 225  |
|      | CIH BANK                                         | 230  |
|      | TGR                                              | 310  |
|      | AL BARID BANK                                    | 350  |
|      | UMNIA BANK                                       | 360  |
|      | BMCI NAJMAH                                      | 361  |
|      | BANK ASSAFA                                      | 362  |
|      | DAR AL AMANE                                     | 363  |
|      | ARREDA                                           | 364  |
|      | AL AKHDAR BANK                                   | 365  |
|      | BANK AL YOUSR                                    | 366  |
|      | BANK AL TAMWEEL WA AL INMA                       | 367  |
|      | ATW INTERNATIONAL BANK SA                        | 605  |
|      | BANQUE INTERNATIONALE DE TANGER /CREDIT DU MAROC | 610  |
|      | BMCI OFFSHORE GROUP BNP                          | 615  |
|      | CHAABI INTERNATIONAL BANK OFFSHORE               | 625  |
|      | BMCE BANK OFFSHORE                               | 630  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/payout/api-shuo-ming/fa-qi-payout-qing-qiu/ge-guo-jia-api-can-shu/mo-luo-ge.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
